Last Comment Bug 96485 - referrer not sent for images loaded via javascript new Image()
: referrer not sent for images loaded via javascript new Image()
Status: RESOLVED FIXED
: dataloss
Product: Core
Classification: Components
Component: Layout: Images (show other bugs)
: Trunk
: All Windows NT
: -- normal (vote)
: Future
Assigned To: Stuart Parmenter
: Terri Preston
Mentors:
http://placenamehere.com/
Depends on:
Blocks: referer
  Show dependency treegraph
 
Reported: 2001-08-22 12:18 PDT by Chris Casciano
Modified: 2002-09-23 14:25 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Chris Casciano 2001-08-22 12:18:50 PDT
I have a little stat tracking "bug" embedded in the page give above. It's just
used to record the site visitor's viewable browser dimentions. While viewing the
apache log files to extract the info I noticed that Mozilla was the only browser
where the referrer field was *not* valued. This was the case with the following
user agent strings:

Mozilla/5.0 (Macintosh; N; PPC; en-US; m18) Gecko/20010131 Netscape6/6.01

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; m18) Gecko/20010131 Netscape6/6.01

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.3) Gecko/20010801

Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.3+) Gecko/20010806

[only a few sorry, i just created this tracker]
This information is valued for ever other user agent that has made the image
request [IE4,5 & 6 & NN4.x on both mac and pc]

---

The code that is being exected is as follows:

function triggerbug() {
var iWidth = (window.innerWidth) ? window.innerWidth : document.body.offsetWidth;
var iHeight = (window.innerHeight) ? window.innerHeight :
document.body.offsetHeight;

var bug = new Image();
bug.src = "bug.gif?clientw=" + iWidth + "&clienth=" + iHeight;
}

---

now, the linked site doesn't require referrer to function, it's just something i
noticed cause i was in my logs. That's not to say other sites do not rely on
this functionality to work.
Comment 1 Bradley Baetz (:bbaetz) 2001-08-22 13:06:23 PDT
->imglib
Comment 2 Asa Dotzler [:asa] 2001-08-25 21:45:11 PDT
reassign to default owners.
Comment 3 Keyser Sose 2001-10-08 17:43:13 PDT
Marking NEW.
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2002-03-18 11:22:19 PST
Is this still an issue?  There was a recent fix to send referer for image in a
much wider set of cases....
Comment 5 Chris Casciano 2002-03-18 11:49:47 PST
I don't believe it is, usless this fix landed extremely recently (read post
0.9.9). Looking at some recent data written by the script at
http://placenamehere.com/2001-09-11/ I see the following in my logs:

XXX.XXX.XXX.XXX - - [11/Mar/2002:21:58:31 -0500] "GET
/2001-09-11/bug.gif?clientw=978&clienth=1007 HTTP/1.1" 200 43 "-" "Mozilla/5.0
(X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204"

XXX.XXX.XXX.XXX - - [13/Mar/2002:05:33:33 -0500] "GET
/2001-09-11/bug.gif?clientw=1491&clienth=1016 HTTP/1.1" 200 43 "-" "Mozilla/5.0
(Windows; U; Windows NT 5.0; en-US; rv:0.9.9+) Gecko/20020310"

XXX.XXX.XXX.XXX - - [13/Mar/2002:17:06:16 -0500] "GET
/2001-09-11/bug.gif?clientw=1059&clienth=908 HTTP/1.1" 200 43 "-" "Mozilla/5.0
(Windows; U; Windows NT 5.0; en-US; rv:0.9.9) Gecko/20020311"

XXX.XXX.XXX.XXX - - [14/Mar/2002:09:24:14 -0500] "GET
/2001-09-11/bug.gif?clientw=842&clienth=654 HTTP/1.1" 200 43 "-" "Mozilla/5.0
(Windows; U; Windows NT 5.0; en-US; rv:0.9.8) Gecko/20020204"


In contrast here is what IE is giving me in the same scenario:

XXX.XXX.XXX.XXX - - [18/Mar/2002:14:18:07 -0500] "GET
/2001-09-11/bug.gif?clientw=1024&clienth=603 HTTP/1.0" 200 43
"http://www.placenamehere.com/2001-09-11/" "Mozilla/4.0 (compatible; MSIE 6.0;
Windows NT 5.1; Q312461)"
Comment 6 Chris Casciano 2002-06-08 08:48:50 PDT
just revisiting my bugs in 1.0/recent trunks... for the record I'm still seeing
this bug.
Comment 7 rpotts (gone) 2002-09-23 14:25:54 PDT
i believe that the patch for bug #145579 fixed this problem.

marking fixed.

-- rick

Note You need to log in before you can comment on or make changes to this bug.